import { Component, OnInit, ViewChild } from '@angular/core';

import { IgxGridComponent, IgxColumnComponent } from 'igniteui-angular';

import { DATA } from './customers';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  @ViewChild("grid1") grid: IgxGridComponent;

  title = 'kb3537-app1';

  public data: any[];

  constructor(){}

  ngOnInit(){
    this.data = DATA;
  }

  button1Clicked(){
    const selectedColumns = this.grid.selectedColumns();
    selectedColumns.forEach((column) => {
      console.log(column);
    });
  }

  button2Clicked(){
    const selectedColumnsData = this.grid.getSelectedColumnsData();
    selectedColumnsData.forEach((item) => {
      console.log(item);
    });
  }
}
